;InnoSetupVersion=4.2.1

[Setup]
AppName=FreshDevices - FreshUI
AppVerName=FreshUI
AppId=FreshDevices - FreshUI
DefaultDirName={pf}\FreshDevices\FreshUI
DefaultGroupName=FreshDevices\FreshUI
UninstallDisplayIcon={app}\freshui.exe
OutputBaseFilename=frui
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\freshui.exe"; DestDir: "{app}"; 
Source: "{app}\freshui.chm"; DestDir: "{app}"; 
Source: "{app}\freshui.dsc"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 

[Run]
Filename: "{app}\readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 

[Icons]
Name: "{group}\FreshUI"; Filename: "{app}\freshui.exe"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{group}\Help - FreshUI"; Filename: "{app}\freshui.chm"; 
Name: "{group}\ReadMe - FreshUI"; Filename: "{app}\readme.txt"; 
Name: "{group}\Get Free Registration Code!!"; Filename: "{pf}\Internet Explorer\iexplore.exe"; Parameters: """http://www.freshdevices.com/register.html"""; IconFilename: "{pf}\Internet Explorer\iexplore.exe"; IconIndex: 1; 
Name: "{userdesktop}\FreshUI"; Filename: "{app}\freshui.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userstartmenu}\FreshUI"; Filename: "{app}\freshui.exe"; WorkingDir: "{app}"; Tasks: startmenuicon; 
Name: "{localappdata}\Microsoft\Internet Explorer\Quick Launch\FreshUI"; Filename: "{app}\freshui.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "startmenuicon"; Description: "Create a &Start menu icon"; GroupDescription: "Additional icons:"; 

[CustomMessages]
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
